<?php
if (!defined('BLOCK_FILE')) {
	Header("Location: ../index.php");
	exit;
}

include("config/config_files.php");
global $homeurl;
// начало настроек
//-----------------------------------------------------------
$i=0; $as=0; $bs=0; $is=0; $max=0; $mx=0; 
//размер шрифта в "px"
$mins=10; $maxs=25;
$num=file_get_contents("config/cron/genre_num.txt");
//-----------------------------------------------------------
// конец настроек

//$content .= "<table border=\"0\" summary=\"\">";
if ($conff['genre'] && $num) {
	$genres=explode(',',$conff['genre']);
	$num=explode(',',$num);
	foreach ($num as $mx) {
		$max=($max > $mx)? $max:$mx; 
	}
	$mins=$mins-1; $s=$maxs-$mins; $as=$max/$s; 
	foreach ($genres as $gen) {
		if ($num[$i]!="0") {
			while($is<$s) {
				$is++;
				$bs=$bs+$as;
				if ($num[$i]<=$bs && $num[$i]>=($bs-$as)) $size=$mins+$is;
			}
		$is=0; $bs=0;
//		$content .= "<tr><td align=\"right\"><a href=\"$homeurl/index.php?name=files&amp;genre=".urlencode($gen)."\" target=\"_self\" title=\"$gen\" style=\"font-size:".$size."px\">$gen </a>(".sprintf("%02d",$num[$i]).")</td></tr>";
		$content .= " <a href=\"$homeurl/index.php?name=files&amp;genre=".urlencode($gen)."\" target=\"_self\" title=\"$gen\" style=\"font-size:".$size."px\"> $gen </a> ";
		}
		$i++;
	}
}
//закрываем таблицу
//$content .= "</table>";
?>